package com.muyu.fault.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.fault.domain.FaultType;

import java.util.List;

/**
 * @className: FaultTypeService  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测
 */
public interface FaultTypeService extends IService<FaultType> {

    /**
     * 故障码分类查询
     * @return
     */
    List<FaultType> select();

    Integer add(FaultType faultType);

    Integer update(FaultType faultType);

    Integer delete(Integer id);
}
